/* скрытие стандартного input */
.consultation_form input[type="file"],
.consultation_form input[type="file"]:focus {
    display: none;
}

/* Стилизация стандартного элемента input[type="file"] */
.consultation_form input[type="file"] {
    position: relative;
    width: 100%;
    height: 40px;
    opacity: 0;
    cursor: pointer;
}

/* Контейнер для кастомной кнопки */
.file-upload-wrapper {
    position: relative;
    display: block;
}

/* Кастомная кнопка */
.consultation_form .file-upload-button {
    position: relative;
    display: inline-block;
    padding: 10px 15px;
    background-color: #1c207a;
    color: white;
    text-align: center;
    border-radius: 5px;
    cursor: pointer;
    margin-top: -10px;
    transition: background-color 0.3s ease;
}

.file-upload-button:hover {
    background-color: #0056b3;
}

/* превышение размера файла */
.file-upload-wrapper #max-size_file.error {
    color: red;
}

.file-upload-wrapper .overweight {
    display: none;
}

.file-upload-wrapper .error .overweight {
    display: inline-block;
}

/* Стилизация для отображения имени файла */
.file-upload-name {
    display: block;
    margin-top: 10px;
    font-size: 14px;
    color: #333;
}